Automation · API
Generated from the OpenAPI snapshot. Source summaries remain unchanged; JSON schemas below are the exact exported definitions.
GET /api/v1/automation/globals
Globale RPA-Variablen ohne Werte auflisten
Authentication: bearer token
Required route scopes: runtime:control
All listed scopes are required; admin satisfies scope checks. Request content, vault state and resource permissions can impose additional requirements.
No path or query parameters declared.
No request body declared.
Documented responses
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"items"
],
"properties": {
"items": {
"type": "array",
"items": {
"type": "object",
"required": [
"name",
"revision",
"bytes",
"updated_at"
],
"properties": {
"name": {
"type": "string"
},
"revision": {
"type": "integer"
},
"bytes": {
"type": "integer"
},
"updated_at": {
"type": "integer"
}
}
}
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Complete operation definition
{
"summary": "Globale RPA-Variablen ohne Werte auflisten",
"tags": [
"Automation"
],
"x-required-scopes": [
"runtime:control"
],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"items"
],
"properties": {
"items": {
"type": "array",
"items": {
"type": "object",
"required": [
"name",
"revision",
"bytes",
"updated_at"
],
"properties": {
"name": {
"type": "string"
},
"revision": {
"type": "integer"
},
"bytes": {
"type": "integer"
},
"updated_at": {
"type": "integer"
}
}
}
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}GET /api/v1/automation/globals/{name}
Globale RPA-Variable lesen
Authentication: bearer token
Required route scopes: runtime:control, secrets:read
All listed scopes are required; admin satisfies scope checks. Request content, vault state and resource permissions can impose additional requirements.
| Name | Location | Required | Description |
|---|---|---|---|
name | path | Yes |
Full parameter schemas
[
{
"schema": {
"type": "string",
"pattern": "^[A-Za-z_][A-Za-z0-9_]{0,63}$"
},
"in": "path",
"name": "name",
"required": true
}
]No request body declared.
Documented responses
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"value",
"revision"
],
"properties": {
"value": {
"type": "string"
},
"revision": {
"type": "integer"
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Complete operation definition
{
"summary": "Globale RPA-Variable lesen",
"tags": [
"Automation"
],
"parameters": [
{
"schema": {
"type": "string",
"pattern": "^[A-Za-z_][A-Za-z0-9_]{0,63}$"
},
"in": "path",
"name": "name",
"required": true
}
],
"x-required-scopes": [
"runtime:control",
"secrets:read"
],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"value",
"revision"
],
"properties": {
"value": {
"type": "string"
},
"revision": {
"type": "integer"
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}PUT /api/v1/automation/globals/{name}
Globale RPA-Variable mit Versionsprüfung speichern
Authentication: bearer token
Required route scopes: runtime:control, secrets:read, rpa:write
All listed scopes are required; admin satisfies scope checks. Request content, vault state and resource permissions can impose additional requirements.
| Name | Location | Required | Description |
|---|---|---|---|
name | path | Yes |
Full parameter schemas
[
{
"schema": {
"type": "string",
"pattern": "^[A-Za-z_][A-Za-z0-9_]{0,63}$"
},
"in": "path",
"name": "name",
"required": true
}
]Request body · required
{
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"value",
"expected_revision"
],
"properties": {
"value": {
"type": "string",
"maxLength": 1048576
},
"expected_revision": {
"type": "integer",
"minimum": 0,
"maximum": 9007199254740991
}
},
"additionalProperties": false
}
}
}
}Documented responses
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"name",
"revision",
"bytes",
"updated_at"
],
"properties": {
"name": {
"type": "string"
},
"revision": {
"type": "integer"
},
"bytes": {
"type": "integer"
},
"updated_at": {
"type": "integer"
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Complete operation definition
{
"summary": "Globale RPA-Variable mit Versionsprüfung speichern",
"tags": [
"Automation"
],
"requestBody": {
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"value",
"expected_revision"
],
"properties": {
"value": {
"type": "string",
"maxLength": 1048576
},
"expected_revision": {
"type": "integer",
"minimum": 0,
"maximum": 9007199254740991
}
},
"additionalProperties": false
}
}
}
},
"parameters": [
{
"schema": {
"type": "string",
"pattern": "^[A-Za-z_][A-Za-z0-9_]{0,63}$"
},
"in": "path",
"name": "name",
"required": true
}
],
"x-required-scopes": [
"runtime:control",
"secrets:read",
"rpa:write"
],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"name",
"revision",
"bytes",
"updated_at"
],
"properties": {
"name": {
"type": "string"
},
"revision": {
"type": "integer"
},
"bytes": {
"type": "integer"
},
"updated_at": {
"type": "integer"
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}DELETE /api/v1/automation/globals/{name}
Globale RPA-Variable mit Versionsprüfung löschen
Authentication: bearer token
Required route scopes: runtime:control, rpa:write
All listed scopes are required; admin satisfies scope checks. Request content, vault state and resource permissions can impose additional requirements.
| Name | Location | Required | Description |
|---|---|---|---|
expected_revision | query | Yes | |
name | path | Yes |
Full parameter schemas
[
{
"schema": {
"type": "integer",
"minimum": 1,
"maximum": 9007199254740991
},
"in": "query",
"name": "expected_revision",
"required": true
},
{
"schema": {
"type": "string",
"pattern": "^[A-Za-z_][A-Za-z0-9_]{0,63}$"
},
"in": "path",
"name": "name",
"required": true
}
]No request body declared.
Documented responses
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"ok"
],
"properties": {
"ok": {
"type": "boolean",
"enum": [
true
]
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Complete operation definition
{
"summary": "Globale RPA-Variable mit Versionsprüfung löschen",
"tags": [
"Automation"
],
"parameters": [
{
"schema": {
"type": "integer",
"minimum": 1,
"maximum": 9007199254740991
},
"in": "query",
"name": "expected_revision",
"required": true
},
{
"schema": {
"type": "string",
"pattern": "^[A-Za-z_][A-Za-z0-9_]{0,63}$"
},
"in": "path",
"name": "name",
"required": true
}
],
"x-required-scopes": [
"runtime:control",
"rpa:write"
],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"ok"
],
"properties": {
"ok": {
"type": "boolean",
"enum": [
true
]
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}GET /api/v1/automation/files
RPA-Dateien auflisten
Authentication: bearer token
Required route scopes: runtime:control
All listed scopes are required; admin satisfies scope checks. Request content, vault state and resource permissions can impose additional requirements.
No path or query parameters declared.
No request body declared.
Documented responses
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"directory",
"items"
],
"properties": {
"directory": {
"type": "string"
},
"items": {
"type": "array",
"items": {
"type": "object",
"required": [
"name",
"size_bytes"
],
"properties": {
"name": {
"type": "string"
},
"size_bytes": {
"type": "integer"
}
}
}
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Complete operation definition
{
"summary": "RPA-Dateien auflisten",
"tags": [
"Automation"
],
"x-required-scopes": [
"runtime:control"
],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"directory",
"items"
],
"properties": {
"directory": {
"type": "string"
},
"items": {
"type": "array",
"items": {
"type": "object",
"required": [
"name",
"size_bytes"
],
"properties": {
"name": {
"type": "string"
},
"size_bytes": {
"type": "integer"
}
}
}
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}POST /api/v1/automation/files
Eine RPA-Datei importieren, ohne bestehende Dateien zu ersetzen
Authentication: bearer token
Required route scopes: runtime:control, rpa:write
All listed scopes are required; admin satisfies scope checks. Request content, vault state and resource permissions can impose additional requirements.
No path or query parameters declared.
Request body · required
{
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"name",
"base64"
],
"properties": {
"name": {
"type": "string",
"minLength": 1,
"maxLength": 200
},
"base64": {
"type": "string",
"maxLength": 5592408,
"pattern": "^(?:[A-Za-z0-9+/]{4})*(?:[A-Za-z0-9+/]{2}==|[A-Za-z0-9+/]{3}=)?$"
}
},
"additionalProperties": false
}
}
}
}Documented responses
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"ok"
],
"properties": {
"ok": {
"type": "boolean",
"enum": [
true
]
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Complete operation definition
{
"summary": "Eine RPA-Datei importieren, ohne bestehende Dateien zu ersetzen",
"tags": [
"Automation"
],
"requestBody": {
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"name",
"base64"
],
"properties": {
"name": {
"type": "string",
"minLength": 1,
"maxLength": 200
},
"base64": {
"type": "string",
"maxLength": 5592408,
"pattern": "^(?:[A-Za-z0-9+/]{4})*(?:[A-Za-z0-9+/]{2}==|[A-Za-z0-9+/]{3}=)?$"
}
},
"additionalProperties": false
}
}
}
},
"x-required-scopes": [
"runtime:control",
"rpa:write"
],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"ok"
],
"properties": {
"ok": {
"type": "boolean",
"enum": [
true
]
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}GET /api/v1/automation/files/content
Eine RPA-Datei exportieren
Authentication: bearer token
Required route scopes: runtime:control
All listed scopes are required; admin satisfies scope checks. Request content, vault state and resource permissions can impose additional requirements.
| Name | Location | Required | Description |
|---|---|---|---|
name | query | Yes |
Full parameter schemas
[
{
"schema": {
"type": "string",
"minLength": 1,
"maxLength": 200
},
"in": "query",
"name": "name",
"required": true
}
]No request body declared.
Documented responses
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"base64"
],
"properties": {
"base64": {
"type": "string"
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Complete operation definition
{
"summary": "Eine RPA-Datei exportieren",
"tags": [
"Automation"
],
"parameters": [
{
"schema": {
"type": "string",
"minLength": 1,
"maxLength": 200
},
"in": "query",
"name": "name",
"required": true
}
],
"x-required-scopes": [
"runtime:control"
],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"base64"
],
"properties": {
"base64": {
"type": "string"
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}GET /api/v1/automation/synchronizer
Synchronizer-Status
Authentication: bearer token
Required route scopes: runtime:control
All listed scopes are required; admin satisfies scope checks. Request content, vault state and resource permissions can impose additional requirements.
No path or query parameters declared.
No request body declared.
Documented responses
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"running",
"source_id",
"follower_ids",
"mode",
"options",
"tabs",
"events",
"error"
],
"properties": {
"running": {
"type": "boolean"
},
"source_id": {
"type": [
"string",
"null"
]
},
"follower_ids": {
"type": "array",
"items": {
"type": "string"
}
},
"mode": {
"anyOf": [
{
"type": "string",
"enum": [
"element"
]
},
{
"type": "string",
"enum": [
"coordinates"
]
}
]
},
"options": {
"type": "object",
"required": [
"mouse",
"keyboard",
"scroll",
"navigation",
"tabs",
"native_controls",
"extension_pages",
"delay_min_ms",
"delay_max_ms"
],
"properties": {
"mouse": {
"type": "boolean"
},
"keyboard": {
"type": "boolean"
},
"scroll": {
"type": "boolean"
},
"navigation": {
"type": "boolean"
},
"tabs": {
"type": "boolean"
},
"native_controls": {
"type": "boolean"
},
"extension_pages": {
"type": "boolean"
},
"delay_min_ms": {
"type": "integer"
},
"delay_max_ms": {
"type": "integer"
}
}
},
"tabs": {
"type": "array",
"items": {
"type": "object",
"required": [
"id",
"url"
],
"properties": {
"id": {
"type": "string"
},
"url": {
"type": "string"
}
}
}
},
"events": {
"type": "integer"
},
"error": {
"type": [
"string",
"null"
]
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Complete operation definition
{
"summary": "Synchronizer-Status",
"tags": [
"Automation"
],
"x-required-scopes": [
"runtime:control"
],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"running",
"source_id",
"follower_ids",
"mode",
"options",
"tabs",
"events",
"error"
],
"properties": {
"running": {
"type": "boolean"
},
"source_id": {
"type": [
"string",
"null"
]
},
"follower_ids": {
"type": "array",
"items": {
"type": "string"
}
},
"mode": {
"anyOf": [
{
"type": "string",
"enum": [
"element"
]
},
{
"type": "string",
"enum": [
"coordinates"
]
}
]
},
"options": {
"type": "object",
"required": [
"mouse",
"keyboard",
"scroll",
"navigation",
"tabs",
"native_controls",
"extension_pages",
"delay_min_ms",
"delay_max_ms"
],
"properties": {
"mouse": {
"type": "boolean"
},
"keyboard": {
"type": "boolean"
},
"scroll": {
"type": "boolean"
},
"navigation": {
"type": "boolean"
},
"tabs": {
"type": "boolean"
},
"native_controls": {
"type": "boolean"
},
"extension_pages": {
"type": "boolean"
},
"delay_min_ms": {
"type": "integer"
},
"delay_max_ms": {
"type": "integer"
}
}
},
"tabs": {
"type": "array",
"items": {
"type": "object",
"required": [
"id",
"url"
],
"properties": {
"id": {
"type": "string"
},
"url": {
"type": "string"
}
}
}
},
"events": {
"type": "integer"
},
"error": {
"type": [
"string",
"null"
]
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}POST /api/v1/automation/synchronizer/start
Live-Synchronisierung starten
Authentication: bearer token
Required route scopes: runtime:control, sync:control
All listed scopes are required; admin satisfies scope checks. Request content, vault state and resource permissions can impose additional requirements.
No path or query parameters declared.
Request body · required
{
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"source_id",
"follower_ids",
"mode"
],
"properties": {
"source_id": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"follower_ids": {
"type": "array",
"items": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"minItems": 1,
"maxItems": 20,
"uniqueItems": true
},
"mode": {
"anyOf": [
{
"type": "string",
"enum": [
"element"
]
},
{
"type": "string",
"enum": [
"coordinates"
]
}
]
},
"options": {
"type": "object",
"properties": {
"mouse": {
"type": "boolean"
},
"keyboard": {
"type": "boolean"
},
"scroll": {
"type": "boolean"
},
"navigation": {
"type": "boolean"
},
"tabs": {
"type": "boolean"
},
"native_controls": {
"type": "boolean"
},
"extension_pages": {
"type": "boolean"
},
"delay_min_ms": {
"type": "integer",
"minimum": 0,
"maximum": 5000
},
"delay_max_ms": {
"type": "integer",
"minimum": 0,
"maximum": 5000
}
},
"additionalProperties": false
}
},
"additionalProperties": false
}
}
}
}Documented responses
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"running",
"source_id",
"follower_ids",
"mode",
"options",
"tabs",
"events",
"error"
],
"properties": {
"running": {
"type": "boolean"
},
"source_id": {
"type": [
"string",
"null"
]
},
"follower_ids": {
"type": "array",
"items": {
"type": "string"
}
},
"mode": {
"anyOf": [
{
"type": "string",
"enum": [
"element"
]
},
{
"type": "string",
"enum": [
"coordinates"
]
}
]
},
"options": {
"type": "object",
"required": [
"mouse",
"keyboard",
"scroll",
"navigation",
"tabs",
"native_controls",
"extension_pages",
"delay_min_ms",
"delay_max_ms"
],
"properties": {
"mouse": {
"type": "boolean"
},
"keyboard": {
"type": "boolean"
},
"scroll": {
"type": "boolean"
},
"navigation": {
"type": "boolean"
},
"tabs": {
"type": "boolean"
},
"native_controls": {
"type": "boolean"
},
"extension_pages": {
"type": "boolean"
},
"delay_min_ms": {
"type": "integer"
},
"delay_max_ms": {
"type": "integer"
}
}
},
"tabs": {
"type": "array",
"items": {
"type": "object",
"required": [
"id",
"url"
],
"properties": {
"id": {
"type": "string"
},
"url": {
"type": "string"
}
}
}
},
"events": {
"type": "integer"
},
"error": {
"type": [
"string",
"null"
]
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Complete operation definition
{
"summary": "Live-Synchronisierung starten",
"tags": [
"Automation"
],
"requestBody": {
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"source_id",
"follower_ids",
"mode"
],
"properties": {
"source_id": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"follower_ids": {
"type": "array",
"items": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"minItems": 1,
"maxItems": 20,
"uniqueItems": true
},
"mode": {
"anyOf": [
{
"type": "string",
"enum": [
"element"
]
},
{
"type": "string",
"enum": [
"coordinates"
]
}
]
},
"options": {
"type": "object",
"properties": {
"mouse": {
"type": "boolean"
},
"keyboard": {
"type": "boolean"
},
"scroll": {
"type": "boolean"
},
"navigation": {
"type": "boolean"
},
"tabs": {
"type": "boolean"
},
"native_controls": {
"type": "boolean"
},
"extension_pages": {
"type": "boolean"
},
"delay_min_ms": {
"type": "integer",
"minimum": 0,
"maximum": 5000
},
"delay_max_ms": {
"type": "integer",
"minimum": 0,
"maximum": 5000
}
},
"additionalProperties": false
}
},
"additionalProperties": false
}
}
}
},
"x-required-scopes": [
"runtime:control",
"sync:control"
],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"running",
"source_id",
"follower_ids",
"mode",
"options",
"tabs",
"events",
"error"
],
"properties": {
"running": {
"type": "boolean"
},
"source_id": {
"type": [
"string",
"null"
]
},
"follower_ids": {
"type": "array",
"items": {
"type": "string"
}
},
"mode": {
"anyOf": [
{
"type": "string",
"enum": [
"element"
]
},
{
"type": "string",
"enum": [
"coordinates"
]
}
]
},
"options": {
"type": "object",
"required": [
"mouse",
"keyboard",
"scroll",
"navigation",
"tabs",
"native_controls",
"extension_pages",
"delay_min_ms",
"delay_max_ms"
],
"properties": {
"mouse": {
"type": "boolean"
},
"keyboard": {
"type": "boolean"
},
"scroll": {
"type": "boolean"
},
"navigation": {
"type": "boolean"
},
"tabs": {
"type": "boolean"
},
"native_controls": {
"type": "boolean"
},
"extension_pages": {
"type": "boolean"
},
"delay_min_ms": {
"type": "integer"
},
"delay_max_ms": {
"type": "integer"
}
}
},
"tabs": {
"type": "array",
"items": {
"type": "object",
"required": [
"id",
"url"
],
"properties": {
"id": {
"type": "string"
},
"url": {
"type": "string"
}
}
}
},
"events": {
"type": "integer"
},
"error": {
"type": [
"string",
"null"
]
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}POST /api/v1/automation/synchronizer/stop
Live-Synchronisierung stoppen
Authentication: bearer token
Required route scopes: runtime:control, sync:control
All listed scopes are required; admin satisfies scope checks. Request content, vault state and resource permissions can impose additional requirements.
No path or query parameters declared.
No request body declared.
Documented responses
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"running",
"source_id",
"follower_ids",
"mode",
"options",
"tabs",
"events",
"error"
],
"properties": {
"running": {
"type": "boolean"
},
"source_id": {
"type": [
"string",
"null"
]
},
"follower_ids": {
"type": "array",
"items": {
"type": "string"
}
},
"mode": {
"anyOf": [
{
"type": "string",
"enum": [
"element"
]
},
{
"type": "string",
"enum": [
"coordinates"
]
}
]
},
"options": {
"type": "object",
"required": [
"mouse",
"keyboard",
"scroll",
"navigation",
"tabs",
"native_controls",
"extension_pages",
"delay_min_ms",
"delay_max_ms"
],
"properties": {
"mouse": {
"type": "boolean"
},
"keyboard": {
"type": "boolean"
},
"scroll": {
"type": "boolean"
},
"navigation": {
"type": "boolean"
},
"tabs": {
"type": "boolean"
},
"native_controls": {
"type": "boolean"
},
"extension_pages": {
"type": "boolean"
},
"delay_min_ms": {
"type": "integer"
},
"delay_max_ms": {
"type": "integer"
}
}
},
"tabs": {
"type": "array",
"items": {
"type": "object",
"required": [
"id",
"url"
],
"properties": {
"id": {
"type": "string"
},
"url": {
"type": "string"
}
}
}
},
"events": {
"type": "integer"
},
"error": {
"type": [
"string",
"null"
]
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Complete operation definition
{
"summary": "Live-Synchronisierung stoppen",
"tags": [
"Automation"
],
"x-required-scopes": [
"runtime:control",
"sync:control"
],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"running",
"source_id",
"follower_ids",
"mode",
"options",
"tabs",
"events",
"error"
],
"properties": {
"running": {
"type": "boolean"
},
"source_id": {
"type": [
"string",
"null"
]
},
"follower_ids": {
"type": "array",
"items": {
"type": "string"
}
},
"mode": {
"anyOf": [
{
"type": "string",
"enum": [
"element"
]
},
{
"type": "string",
"enum": [
"coordinates"
]
}
]
},
"options": {
"type": "object",
"required": [
"mouse",
"keyboard",
"scroll",
"navigation",
"tabs",
"native_controls",
"extension_pages",
"delay_min_ms",
"delay_max_ms"
],
"properties": {
"mouse": {
"type": "boolean"
},
"keyboard": {
"type": "boolean"
},
"scroll": {
"type": "boolean"
},
"navigation": {
"type": "boolean"
},
"tabs": {
"type": "boolean"
},
"native_controls": {
"type": "boolean"
},
"extension_pages": {
"type": "boolean"
},
"delay_min_ms": {
"type": "integer"
},
"delay_max_ms": {
"type": "integer"
}
}
},
"tabs": {
"type": "array",
"items": {
"type": "object",
"required": [
"id",
"url"
],
"properties": {
"id": {
"type": "string"
},
"url": {
"type": "string"
}
}
}
},
"events": {
"type": "integer"
},
"error": {
"type": [
"string",
"null"
]
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}PATCH /api/v1/automation/synchronizer/options
Synchronizer-Optionen ändern
Authentication: bearer token
Required route scopes: runtime:control, sync:control
All listed scopes are required; admin satisfies scope checks. Request content, vault state and resource permissions can impose additional requirements.
No path or query parameters declared.
Request body · required
{
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"mouse": {
"type": "boolean"
},
"keyboard": {
"type": "boolean"
},
"scroll": {
"type": "boolean"
},
"navigation": {
"type": "boolean"
},
"tabs": {
"type": "boolean"
},
"native_controls": {
"type": "boolean"
},
"extension_pages": {
"type": "boolean"
},
"delay_min_ms": {
"type": "integer",
"minimum": 0,
"maximum": 5000
},
"delay_max_ms": {
"type": "integer",
"minimum": 0,
"maximum": 5000
}
},
"additionalProperties": false
}
}
}
}Documented responses
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"running",
"source_id",
"follower_ids",
"mode",
"options",
"tabs",
"events",
"error"
],
"properties": {
"running": {
"type": "boolean"
},
"source_id": {
"type": [
"string",
"null"
]
},
"follower_ids": {
"type": "array",
"items": {
"type": "string"
}
},
"mode": {
"anyOf": [
{
"type": "string",
"enum": [
"element"
]
},
{
"type": "string",
"enum": [
"coordinates"
]
}
]
},
"options": {
"type": "object",
"required": [
"mouse",
"keyboard",
"scroll",
"navigation",
"tabs",
"native_controls",
"extension_pages",
"delay_min_ms",
"delay_max_ms"
],
"properties": {
"mouse": {
"type": "boolean"
},
"keyboard": {
"type": "boolean"
},
"scroll": {
"type": "boolean"
},
"navigation": {
"type": "boolean"
},
"tabs": {
"type": "boolean"
},
"native_controls": {
"type": "boolean"
},
"extension_pages": {
"type": "boolean"
},
"delay_min_ms": {
"type": "integer"
},
"delay_max_ms": {
"type": "integer"
}
}
},
"tabs": {
"type": "array",
"items": {
"type": "object",
"required": [
"id",
"url"
],
"properties": {
"id": {
"type": "string"
},
"url": {
"type": "string"
}
}
}
},
"events": {
"type": "integer"
},
"error": {
"type": [
"string",
"null"
]
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Complete operation definition
{
"summary": "Synchronizer-Optionen ändern",
"tags": [
"Automation"
],
"requestBody": {
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"mouse": {
"type": "boolean"
},
"keyboard": {
"type": "boolean"
},
"scroll": {
"type": "boolean"
},
"navigation": {
"type": "boolean"
},
"tabs": {
"type": "boolean"
},
"native_controls": {
"type": "boolean"
},
"extension_pages": {
"type": "boolean"
},
"delay_min_ms": {
"type": "integer",
"minimum": 0,
"maximum": 5000
},
"delay_max_ms": {
"type": "integer",
"minimum": 0,
"maximum": 5000
}
},
"additionalProperties": false
}
}
}
},
"x-required-scopes": [
"runtime:control",
"sync:control"
],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"running",
"source_id",
"follower_ids",
"mode",
"options",
"tabs",
"events",
"error"
],
"properties": {
"running": {
"type": "boolean"
},
"source_id": {
"type": [
"string",
"null"
]
},
"follower_ids": {
"type": "array",
"items": {
"type": "string"
}
},
"mode": {
"anyOf": [
{
"type": "string",
"enum": [
"element"
]
},
{
"type": "string",
"enum": [
"coordinates"
]
}
]
},
"options": {
"type": "object",
"required": [
"mouse",
"keyboard",
"scroll",
"navigation",
"tabs",
"native_controls",
"extension_pages",
"delay_min_ms",
"delay_max_ms"
],
"properties": {
"mouse": {
"type": "boolean"
},
"keyboard": {
"type": "boolean"
},
"scroll": {
"type": "boolean"
},
"navigation": {
"type": "boolean"
},
"tabs": {
"type": "boolean"
},
"native_controls": {
"type": "boolean"
},
"extension_pages": {
"type": "boolean"
},
"delay_min_ms": {
"type": "integer"
},
"delay_max_ms": {
"type": "integer"
}
}
},
"tabs": {
"type": "array",
"items": {
"type": "object",
"required": [
"id",
"url"
],
"properties": {
"id": {
"type": "string"
},
"url": {
"type": "string"
}
}
}
},
"events": {
"type": "integer"
},
"error": {
"type": [
"string",
"null"
]
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}POST /api/v1/automation/synchronizer/text
Text oder Zufallszahlen auf synchronisierte Fenster verteilen
Authentication: bearer token
Required route scopes: runtime:control, sync:control
All listed scopes are required; admin satisfies scope checks. Request content, vault state and resource permissions can impose additional requirements.
No path or query parameters declared.
Request body · required
{
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"target_id",
"mode"
],
"properties": {
"target_id": {
"type": "string",
"minLength": 1,
"maxLength": 128
},
"selector": {
"type": "string",
"minLength": 1,
"maxLength": 4000
},
"frames": {
"type": "array",
"items": {
"type": "string",
"minLength": 1,
"maxLength": 4000
},
"maxItems": 16
},
"include_source": {
"type": "boolean"
},
"append": {
"type": "boolean"
},
"mode": {
"anyOf": [
{
"type": "string",
"enum": [
"same"
]
},
{
"type": "string",
"enum": [
"lines"
]
},
{
"type": "string",
"enum": [
"shuffle"
]
},
{
"type": "string",
"enum": [
"random"
]
}
]
},
"text": {
"type": "string",
"maxLength": 210000
},
"minimum": {
"type": "integer",
"minimum": -1000000000,
"maximum": 1000000000
},
"maximum": {
"type": "integer",
"minimum": -1000000000,
"maximum": 1000000000
},
"unique": {
"type": "boolean"
},
"key_min_ms": {
"type": "integer",
"minimum": 0,
"maximum": 2000
},
"key_max_ms": {
"type": "integer",
"minimum": 0,
"maximum": 2000
}
},
"additionalProperties": false
}
}
}
}Documented responses
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"results"
],
"properties": {
"results": {
"type": "array",
"items": {
"type": "object",
"required": [
"profile_id",
"ok"
],
"properties": {
"profile_id": {
"type": "string"
},
"ok": {
"type": "boolean"
},
"error": {
"type": "string"
}
}
}
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Complete operation definition
{
"summary": "Text oder Zufallszahlen auf synchronisierte Fenster verteilen",
"tags": [
"Automation"
],
"requestBody": {
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"target_id",
"mode"
],
"properties": {
"target_id": {
"type": "string",
"minLength": 1,
"maxLength": 128
},
"selector": {
"type": "string",
"minLength": 1,
"maxLength": 4000
},
"frames": {
"type": "array",
"items": {
"type": "string",
"minLength": 1,
"maxLength": 4000
},
"maxItems": 16
},
"include_source": {
"type": "boolean"
},
"append": {
"type": "boolean"
},
"mode": {
"anyOf": [
{
"type": "string",
"enum": [
"same"
]
},
{
"type": "string",
"enum": [
"lines"
]
},
{
"type": "string",
"enum": [
"shuffle"
]
},
{
"type": "string",
"enum": [
"random"
]
}
]
},
"text": {
"type": "string",
"maxLength": 210000
},
"minimum": {
"type": "integer",
"minimum": -1000000000,
"maximum": 1000000000
},
"maximum": {
"type": "integer",
"minimum": -1000000000,
"maximum": 1000000000
},
"unique": {
"type": "boolean"
},
"key_min_ms": {
"type": "integer",
"minimum": 0,
"maximum": 2000
},
"key_max_ms": {
"type": "integer",
"minimum": 0,
"maximum": 2000
}
},
"additionalProperties": false
}
}
}
},
"x-required-scopes": [
"runtime:control",
"sync:control"
],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"results"
],
"properties": {
"results": {
"type": "array",
"items": {
"type": "object",
"required": [
"profile_id",
"ok"
],
"properties": {
"profile_id": {
"type": "string"
},
"ok": {
"type": "boolean"
},
"error": {
"type": "string"
}
}
}
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}POST /api/v1/automation/synchronizer/tabs
Gemeinsame Tab-Befehle ausführen
Authentication: bearer token
Required route scopes: runtime:control, sync:control
All listed scopes are required; admin satisfies scope checks. Request content, vault state and resource permissions can impose additional requirements.
No path or query parameters declared.
Request body · required
{
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"action"
],
"properties": {
"action": {
"anyOf": [
{
"type": "string",
"enum": [
"open"
]
},
{
"type": "string",
"enum": [
"align"
]
},
{
"type": "string",
"enum": [
"activate"
]
},
{
"type": "string",
"enum": [
"reload"
]
},
{
"type": "string",
"enum": [
"close"
]
},
{
"type": "string",
"enum": [
"close_others"
]
},
{
"type": "string",
"enum": [
"close_blank"
]
}
]
},
"target_id": {
"type": "string",
"minLength": 1,
"maxLength": 128
},
"urls": {
"type": "array",
"items": {
"type": "string",
"minLength": 1,
"maxLength": 16000
},
"minItems": 1,
"maxItems": 20
},
"reuse_current": {
"type": "boolean"
},
"close_extra": {
"type": "boolean"
}
},
"additionalProperties": false
}
}
}
}Documented responses
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"running",
"source_id",
"follower_ids",
"mode",
"options",
"tabs",
"events",
"error"
],
"properties": {
"running": {
"type": "boolean"
},
"source_id": {
"type": [
"string",
"null"
]
},
"follower_ids": {
"type": "array",
"items": {
"type": "string"
}
},
"mode": {
"anyOf": [
{
"type": "string",
"enum": [
"element"
]
},
{
"type": "string",
"enum": [
"coordinates"
]
}
]
},
"options": {
"type": "object",
"required": [
"mouse",
"keyboard",
"scroll",
"navigation",
"tabs",
"native_controls",
"extension_pages",
"delay_min_ms",
"delay_max_ms"
],
"properties": {
"mouse": {
"type": "boolean"
},
"keyboard": {
"type": "boolean"
},
"scroll": {
"type": "boolean"
},
"navigation": {
"type": "boolean"
},
"tabs": {
"type": "boolean"
},
"native_controls": {
"type": "boolean"
},
"extension_pages": {
"type": "boolean"
},
"delay_min_ms": {
"type": "integer"
},
"delay_max_ms": {
"type": "integer"
}
}
},
"tabs": {
"type": "array",
"items": {
"type": "object",
"required": [
"id",
"url"
],
"properties": {
"id": {
"type": "string"
},
"url": {
"type": "string"
}
}
}
},
"events": {
"type": "integer"
},
"error": {
"type": [
"string",
"null"
]
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Complete operation definition
{
"summary": "Gemeinsame Tab-Befehle ausführen",
"tags": [
"Automation"
],
"requestBody": {
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"action"
],
"properties": {
"action": {
"anyOf": [
{
"type": "string",
"enum": [
"open"
]
},
{
"type": "string",
"enum": [
"align"
]
},
{
"type": "string",
"enum": [
"activate"
]
},
{
"type": "string",
"enum": [
"reload"
]
},
{
"type": "string",
"enum": [
"close"
]
},
{
"type": "string",
"enum": [
"close_others"
]
},
{
"type": "string",
"enum": [
"close_blank"
]
}
]
},
"target_id": {
"type": "string",
"minLength": 1,
"maxLength": 128
},
"urls": {
"type": "array",
"items": {
"type": "string",
"minLength": 1,
"maxLength": 16000
},
"minItems": 1,
"maxItems": 20
},
"reuse_current": {
"type": "boolean"
},
"close_extra": {
"type": "boolean"
}
},
"additionalProperties": false
}
}
}
},
"x-required-scopes": [
"runtime:control",
"sync:control"
],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"running",
"source_id",
"follower_ids",
"mode",
"options",
"tabs",
"events",
"error"
],
"properties": {
"running": {
"type": "boolean"
},
"source_id": {
"type": [
"string",
"null"
]
},
"follower_ids": {
"type": "array",
"items": {
"type": "string"
}
},
"mode": {
"anyOf": [
{
"type": "string",
"enum": [
"element"
]
},
{
"type": "string",
"enum": [
"coordinates"
]
}
]
},
"options": {
"type": "object",
"required": [
"mouse",
"keyboard",
"scroll",
"navigation",
"tabs",
"native_controls",
"extension_pages",
"delay_min_ms",
"delay_max_ms"
],
"properties": {
"mouse": {
"type": "boolean"
},
"keyboard": {
"type": "boolean"
},
"scroll": {
"type": "boolean"
},
"navigation": {
"type": "boolean"
},
"tabs": {
"type": "boolean"
},
"native_controls": {
"type": "boolean"
},
"extension_pages": {
"type": "boolean"
},
"delay_min_ms": {
"type": "integer"
},
"delay_max_ms": {
"type": "integer"
}
}
},
"tabs": {
"type": "array",
"items": {
"type": "object",
"required": [
"id",
"url"
],
"properties": {
"id": {
"type": "string"
},
"url": {
"type": "string"
}
}
}
},
"events": {
"type": "integer"
},
"error": {
"type": [
"string",
"null"
]
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}POST /api/v1/automation/package/export
Ausgewählte Abläufe und Vorlagen als verschlüsseltes Paket exportieren
Authentication: bearer token
Required route scopes: runtime:control, secrets:read, rpa:write
All listed scopes are required; admin satisfies scope checks. Request content, vault state and resource permissions can impose additional requirements.
No path or query parameters declared.
Request body · required
{
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"ids",
"target_path",
"password"
],
"properties": {
"ids": {
"type": "array",
"items": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"minItems": 1,
"maxItems": 1000,
"uniqueItems": true
},
"target_path": {
"type": "string",
"minLength": 4,
"maxLength": 1024
},
"password": {
"type": "string",
"minLength": 12,
"maxLength": 1024
},
"include_secrets": {
"type": "boolean"
}
},
"additionalProperties": false
}
}
}
}Documented responses
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"path",
"size_bytes",
"sha256",
"count"
],
"properties": {
"path": {
"type": "string"
},
"size_bytes": {
"type": "integer"
},
"sha256": {
"type": "string"
},
"count": {
"type": "integer"
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Complete operation definition
{
"summary": "Ausgewählte Abläufe und Vorlagen als verschlüsseltes Paket exportieren",
"tags": [
"Automation"
],
"requestBody": {
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"ids",
"target_path",
"password"
],
"properties": {
"ids": {
"type": "array",
"items": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"minItems": 1,
"maxItems": 1000,
"uniqueItems": true
},
"target_path": {
"type": "string",
"minLength": 4,
"maxLength": 1024
},
"password": {
"type": "string",
"minLength": 12,
"maxLength": 1024
},
"include_secrets": {
"type": "boolean"
}
},
"additionalProperties": false
}
}
}
},
"x-required-scopes": [
"runtime:control",
"secrets:read",
"rpa:write"
],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"path",
"size_bytes",
"sha256",
"count"
],
"properties": {
"path": {
"type": "string"
},
"size_bytes": {
"type": "integer"
},
"sha256": {
"type": "string"
},
"count": {
"type": "integer"
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}POST /api/v1/automation/package/preview
Verschlüsseltes Ablaufpaket prüfen und Inhalte ohne Eingabewerte anzeigen
Authentication: bearer token
Required route scopes: runtime:control
All listed scopes are required; admin satisfies scope checks. Request content, vault state and resource permissions can impose additional requirements.
No path or query parameters declared.
Request body · required
{
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"path",
"password"
],
"properties": {
"path": {
"type": "string",
"minLength": 4,
"maxLength": 1024
},
"password": {
"type": "string",
"minLength": 1,
"maxLength": 1024
}
},
"additionalProperties": false
}
}
}
}Documented responses
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"sha256",
"created_at",
"items"
],
"properties": {
"sha256": {
"type": "string"
},
"created_at": {
"type": "string"
},
"items": {
"type": "array",
"items": {
"type": "object",
"required": [
"id",
"name",
"dependencies",
"group",
"description",
"missing_values",
"is_template",
"steps",
"protected_values"
],
"properties": {
"id": {
"type": "string"
},
"name": {
"type": "string"
},
"dependencies": {
"type": "array",
"items": {
"type": "string"
}
},
"group": {
"type": [
"string",
"null"
]
},
"description": {
"type": [
"string",
"null"
]
},
"missing_values": {
"type": "integer"
},
"is_template": {
"type": "boolean"
},
"steps": {
"type": "integer"
},
"protected_values": {
"type": "integer"
}
}
}
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Complete operation definition
{
"summary": "Verschlüsseltes Ablaufpaket prüfen und Inhalte ohne Eingabewerte anzeigen",
"tags": [
"Automation"
],
"requestBody": {
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"path",
"password"
],
"properties": {
"path": {
"type": "string",
"minLength": 4,
"maxLength": 1024
},
"password": {
"type": "string",
"minLength": 1,
"maxLength": 1024
}
},
"additionalProperties": false
}
}
}
},
"x-required-scopes": [
"runtime:control"
],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"sha256",
"created_at",
"items"
],
"properties": {
"sha256": {
"type": "string"
},
"created_at": {
"type": "string"
},
"items": {
"type": "array",
"items": {
"type": "object",
"required": [
"id",
"name",
"dependencies",
"group",
"description",
"missing_values",
"is_template",
"steps",
"protected_values"
],
"properties": {
"id": {
"type": "string"
},
"name": {
"type": "string"
},
"dependencies": {
"type": "array",
"items": {
"type": "string"
}
},
"group": {
"type": [
"string",
"null"
]
},
"description": {
"type": [
"string",
"null"
]
},
"missing_values": {
"type": "integer"
},
"is_template": {
"type": "boolean"
},
"steps": {
"type": "integer"
},
"protected_values": {
"type": "integer"
}
}
}
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}POST /api/v1/automation/package/import
Geprüfte Abläufe als neue Kopien ohne Profile und aktive Zeitpläne importieren
Authentication: bearer token
Required route scopes: runtime:control, rpa:write
All listed scopes are required; admin satisfies scope checks. Request content, vault state and resource permissions can impose additional requirements.
No path or query parameters declared.
Request body · required
{
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"path",
"password",
"sha256",
"ids"
],
"properties": {
"path": {
"type": "string",
"minLength": 4,
"maxLength": 1024
},
"password": {
"type": "string",
"minLength": 1,
"maxLength": 1024
},
"sha256": {
"type": "string",
"pattern": "^[a-f0-9]{64}$"
},
"ids": {
"type": "array",
"items": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"minItems": 1,
"maxItems": 1000,
"uniqueItems": true
}
},
"additionalProperties": false
}
}
}
}Documented responses
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"items"
],
"properties": {
"items": {
"type": "array",
"items": {
"type": "object",
"required": [
"id",
"name",
"is_template"
],
"properties": {
"id": {
"type": "string"
},
"name": {
"type": "string"
},
"is_template": {
"type": "boolean"
}
}
}
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Complete operation definition
{
"summary": "Geprüfte Abläufe als neue Kopien ohne Profile und aktive Zeitpläne importieren",
"tags": [
"Automation"
],
"requestBody": {
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"path",
"password",
"sha256",
"ids"
],
"properties": {
"path": {
"type": "string",
"minLength": 4,
"maxLength": 1024
},
"password": {
"type": "string",
"minLength": 1,
"maxLength": 1024
},
"sha256": {
"type": "string",
"pattern": "^[a-f0-9]{64}$"
},
"ids": {
"type": "array",
"items": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"minItems": 1,
"maxItems": 1000,
"uniqueItems": true
}
},
"additionalProperties": false
}
}
}
},
"x-required-scopes": [
"runtime:control",
"rpa:write"
],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"items"
],
"properties": {
"items": {
"type": "array",
"items": {
"type": "object",
"required": [
"id",
"name",
"is_template"
],
"properties": {
"id": {
"type": "string"
},
"name": {
"type": "string"
},
"is_template": {
"type": "boolean"
}
}
}
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}POST /api/v1/automation/schedule/preview
Die nächsten fünf Startzeiten eines RPA-Zeitplans berechnen
Authentication: bearer token
Required route scopes: runtime:control
All listed scopes are required; admin satisfies scope checks. Request content, vault state and resource permissions can impose additional requirements.
No path or query parameters declared.
Request body · required
{
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"next_at",
"interval_minutes"
],
"properties": {
"next_at": {
"type": "integer",
"minimum": 0,
"maximum": 253402300799999
},
"interval_minutes": {
"type": "integer",
"minimum": 0,
"maximum": 525600
},
"time_zone": {
"type": "string",
"minLength": 1,
"maxLength": 128
},
"remaining_runs": {
"type": "integer",
"minimum": 1,
"maximum": 100000
},
"end_at": {
"type": "integer",
"minimum": 0,
"maximum": 253402300799999
},
"revision": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"calendar": {
"type": "object",
"required": [
"frequency",
"start_date",
"time"
],
"properties": {
"frequency": {
"anyOf": [
{
"type": "string",
"enum": [
"daily"
]
},
{
"type": "string",
"enum": [
"weekly"
]
},
{
"type": "string",
"enum": [
"monthly"
]
},
{
"type": "string",
"enum": [
"yearly"
]
}
]
},
"start_date": {
"type": "string",
"pattern": "^[0-9]{4}-[0-9]{2}-[0-9]{2}$"
},
"time": {
"type": "string",
"pattern": "^[0-9]{2}:[0-9]{2}$"
},
"weekdays": {
"type": "array",
"items": {
"type": "integer",
"minimum": 1,
"maximum": 7
},
"minItems": 1,
"maxItems": 7,
"uniqueItems": true
},
"month": {
"type": "integer",
"minimum": 1,
"maximum": 12
},
"month_day": {
"anyOf": [
{
"type": "number",
"enum": [
-1
]
},
{
"type": "integer",
"minimum": 1,
"maximum": 31
}
]
}
},
"additionalProperties": false
}
},
"additionalProperties": false
}
}
}
}Documented responses
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"time_zone",
"next_at",
"starts"
],
"properties": {
"time_zone": {
"type": "string"
},
"next_at": {
"type": "integer"
},
"starts": {
"type": "array",
"items": {
"type": "integer"
}
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Complete operation definition
{
"summary": "Die nächsten fünf Startzeiten eines RPA-Zeitplans berechnen",
"tags": [
"Automation"
],
"requestBody": {
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"next_at",
"interval_minutes"
],
"properties": {
"next_at": {
"type": "integer",
"minimum": 0,
"maximum": 253402300799999
},
"interval_minutes": {
"type": "integer",
"minimum": 0,
"maximum": 525600
},
"time_zone": {
"type": "string",
"minLength": 1,
"maxLength": 128
},
"remaining_runs": {
"type": "integer",
"minimum": 1,
"maximum": 100000
},
"end_at": {
"type": "integer",
"minimum": 0,
"maximum": 253402300799999
},
"revision": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"calendar": {
"type": "object",
"required": [
"frequency",
"start_date",
"time"
],
"properties": {
"frequency": {
"anyOf": [
{
"type": "string",
"enum": [
"daily"
]
},
{
"type": "string",
"enum": [
"weekly"
]
},
{
"type": "string",
"enum": [
"monthly"
]
},
{
"type": "string",
"enum": [
"yearly"
]
}
]
},
"start_date": {
"type": "string",
"pattern": "^[0-9]{4}-[0-9]{2}-[0-9]{2}$"
},
"time": {
"type": "string",
"pattern": "^[0-9]{2}:[0-9]{2}$"
},
"weekdays": {
"type": "array",
"items": {
"type": "integer",
"minimum": 1,
"maximum": 7
},
"minItems": 1,
"maxItems": 7,
"uniqueItems": true
},
"month": {
"type": "integer",
"minimum": 1,
"maximum": 12
},
"month_day": {
"anyOf": [
{
"type": "number",
"enum": [
-1
]
},
{
"type": "integer",
"minimum": 1,
"maximum": 31
}
]
}
},
"additionalProperties": false
}
},
"additionalProperties": false
}
}
}
},
"x-required-scopes": [
"runtime:control"
],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"time_zone",
"next_at",
"starts"
],
"properties": {
"time_zone": {
"type": "string"
},
"next_at": {
"type": "integer"
},
"starts": {
"type": "array",
"items": {
"type": "integer"
}
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}GET /api/v1/automation/templates
Lokale RPA-Beispielvorlagen
Authentication: bearer token
Required route scopes: runtime:control
All listed scopes are required; admin satisfies scope checks. Request content, vault state and resource permissions can impose additional requirements.
No path or query parameters declared.
No request body declared.
Documented responses
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"items"
],
"properties": {
"items": {
"type": "array",
"items": {
"type": "object",
"required": [
"id",
"name",
"description",
"steps"
],
"properties": {
"id": {
"type": "string"
},
"name": {
"type": "string"
},
"description": {
"type": "string"
},
"steps": {
"type": "array",
"items": {
"type": "object",
"required": [
"action"
],
"properties": {
"action": {
"anyOf": [
{
"type": "string",
"enum": [
"navigate"
]
},
{
"type": "string",
"enum": [
"click"
]
},
{
"type": "string",
"enum": [
"type"
]
},
{
"type": "string",
"enum": [
"key"
]
},
{
"type": "string",
"enum": [
"wait"
]
},
{
"type": "string",
"enum": [
"wait_selector"
]
},
{
"type": "string",
"enum": [
"extract"
]
},
{
"type": "string",
"enum": [
"page_data"
]
},
{
"type": "string",
"enum": [
"tab_open"
]
},
{
"type": "string",
"enum": [
"tab_switch"
]
},
{
"type": "string",
"enum": [
"tab_close"
]
},
{
"type": "string",
"enum": [
"frame_enter"
]
},
{
"type": "string",
"enum": [
"frame_parent"
]
},
{
"type": "string",
"enum": [
"frame_top"
]
},
{
"type": "string",
"enum": [
"reload"
]
},
{
"type": "string",
"enum": [
"hover"
]
},
{
"type": "string",
"enum": [
"double_click"
]
},
{
"type": "string",
"enum": [
"right_click"
]
},
{
"type": "string",
"enum": [
"scroll"
]
},
{
"type": "string",
"enum": [
"select"
]
},
{
"type": "string",
"enum": [
"attribute"
]
},
{
"type": "string",
"enum": [
"screenshot"
]
},
{
"type": "string",
"enum": [
"cookies_get"
]
},
{
"type": "string",
"enum": [
"cookies_set"
]
},
{
"type": "string",
"enum": [
"cookies_delete"
]
},
{
"type": "string",
"enum": [
"focus"
]
},
{
"type": "string",
"enum": [
"exists"
]
},
{
"type": "string",
"enum": [
"attribute_set"
]
},
{
"type": "string",
"enum": [
"mouse_move"
]
},
{
"type": "string",
"enum": [
"wheel"
]
},
{
"type": "string",
"enum": [
"history_back"
]
},
{
"type": "string",
"enum": [
"history_forward"
]
},
{
"type": "string",
"enum": [
"tab_list"
]
},
{
"type": "string",
"enum": [
"tab_activate"
]
},
{
"type": "string",
"enum": [
"script"
]
},
{
"type": "string",
"enum": [
"workflow_call"
]
},
{
"type": "string",
"enum": [
"branch"
]
},
{
"type": "string",
"enum": [
"loop_count"
]
},
{
"type": "string",
"enum": [
"loop_data"
]
},
{
"type": "string",
"enum": [
"loop_elements"
]
},
{
"type": "string",
"enum": [
"element_capture"
]
},
{
"type": "string",
"enum": [
"element_release"
]
},
{
"type": "string",
"enum": [
"loop_while"
]
},
{
"type": "string",
"enum": [
"loop_break"
]
},
{
"type": "string",
"enum": [
"loop_continue"
]
},
{
"type": "string",
"enum": [
"variable_set"
]
},
{
"type": "string",
"enum": [
"global"
]
},
{
"type": "string",
"enum": [
"data_transform"
]
},
{
"type": "string",
"enum": [
"file"
]
},
{
"type": "string",
"enum": [
"service"
]
},
{
"type": "string",
"enum": [
"network"
]
}
]
},
"data": {
"type": "object",
"required": [
"operation"
],
"properties": {
"operation": {
"anyOf": [
{
"type": "string",
"enum": [
"csv_parse"
]
},
{
"type": "string",
"enum": [
"csv_stringify"
]
},
{
"type": "string",
"enum": [
"table_cell"
]
},
{
"type": "string",
"enum": [
"table_set"
]
},
{
"type": "string",
"enum": [
"table_row"
]
},
{
"type": "string",
"enum": [
"table_column"
]
},
{
"type": "string",
"enum": [
"table_append"
]
},
{
"type": "string",
"enum": [
"table_slice"
]
},
{
"type": "string",
"enum": [
"json_parse"
]
},
{
"type": "string",
"enum": [
"json_get"
]
},
{
"type": "string",
"enum": [
"json_keys"
]
},
{
"type": "string",
"enum": [
"list_length"
]
},
{
"type": "string",
"enum": [
"list_join"
]
},
{
"type": "string",
"enum": [
"list_append"
]
},
{
"type": "string",
"enum": [
"list_random"
]
},
{
"type": "string",
"enum": [
"text_split"
]
},
{
"type": "string",
"enum": [
"text_replace"
]
},
{
"type": "string",
"enum": [
"regex_extract"
]
},
{
"type": "string",
"enum": [
"regex_replace"
]
},
{
"type": "string",
"enum": [
"text_trim"
]
},
{
"type": "string",
"enum": [
"text_lower"
]
},
{
"type": "string",
"enum": [
"text_upper"
]
},
{
"type": "string",
"enum": [
"number_add"
]
},
{
"type": "string",
"enum": [
"number_subtract"
]
},
{
"type": "string",
"enum": [
"number_multiply"
]
},
{
"type": "string",
"enum": [
"number_divide"
]
},
{
"type": "string",
"enum": [
"number_remainder"
]
},
{
"type": "string",
"enum": [
"url_parse"
]
},
{
"type": "string",
"enum": [
"url_parameter"
]
},
{
"type": "string",
"enum": [
"random_integer"
]
},
{
"type": "string",
"enum": [
"random_text"
]
}
]
},
"source_variable": {
"type": "string",
"pattern": "^[A-Za-z_][A-Za-z0-9_]{0,63}$"
}
},
"additionalProperties": false
},
"global": {
"type": "object",
"required": [
"operation",
"name"
],
"properties": {
"operation": {
"anyOf": [
{
"type": "string",
"enum": [
"read"
]
},
{
"type": "string",
"enum": [
"write"
]
},
{
"type": "string",
"enum": [
"delete"
]
}
]
},
"name": {
"type": "string",
"minLength": 1,
"maxLength": 200
},
"source_variable": {
"type": "string",
"pattern": "^[A-Za-z_][A-Za-z0-9_]{0,63}$"
},
"expected_revision": {
"type": "integer",
"minimum": 0,
"maximum": 9007199254740991
}
},
"additionalProperties": false
},
"page_data": {
"anyOf": [
{
"type": "string",
"enum": [
"url"
]
},
{
"type": "string",
"enum": [
"title"
]
},
{
"type": "string",
"enum": [
"text"
]
},
{
"type": "string",
"enum": [
"html"
]
},
{
"type": "string",
"enum": [
"links"
]
},
{
"type": "string",
"enum": [
"images"
]
},
{
"type": "string",
"enum": [
"form_values"
]
},
{
"type": "string",
"enum": [
"element_count"
]
}
]
},
"file": {
"type": "object",
"required": [
"operation",
"format",
"name"
],
"properties": {
"operation": {
"anyOf": [
{
"type": "string",
"enum": [
"read"
]
},
{
"type": "string",
"enum": [
"write"
]
},
{
"type": "string",
"enum": [
"append"
]
}
]
},
"format": {
"anyOf": [
{
"type": "string",
"enum": [
"txt"
]
},
{
"type": "string",
"enum": [
"json"
]
},
{
"type": "string",
"enum": [
"csv"
]
},
{
"type": "string",
"enum": [
"xlsx"
]
}
]
},
"name": {
"type": "string",
"minLength": 1,
"maxLength": 200
},
"source_variable": {
"type": "string",
"pattern": "^[A-Za-z_][A-Za-z0-9_]{0,63}$"
},
"delimiter": {
"anyOf": [
{
"type": "string",
"enum": [
","
]
},
{
"type": "string",
"enum": [
";"
]
},
{
"type": "string",
"enum": [
"\t"
]
},
{
"type": "string",
"enum": [
"|"
]
}
]
},
"sheet": {
"type": "string",
"minLength": 1,
"maxLength": 31
},
"overwrite": {
"type": "boolean"
}
},
"additionalProperties": false
},
"service": {
"type": "object",
"required": [
"kind"
],
"properties": {
"kind": {
"anyOf": [
{
"type": "string",
"enum": [
"http"
]
},
{
"type": "string",
"enum": [
"google_sheets"
]
}
]
},
"source_variable": {
"type": "string",
"pattern": "^[A-Za-z_][A-Za-z0-9_]{0,63}$"
}
},
"additionalProperties": false
},
"network": {
"type": "object",
"required": [
"operation"
],
"properties": {
"operation": {
"anyOf": [
{
"type": "string",
"enum": [
"start"
]
},
{
"type": "string",
"enum": [
"read"
]
},
{
"type": "string",
"enum": [
"stop"
]
}
]
},
"url_contains": {
"type": "string",
"maxLength": 2000
},
"phase": {
"anyOf": [
{
"type": "string",
"enum": [
"all"
]
},
{
"type": "string",
"enum": [
"request"
]
},
{
"type": "string",
"enum": [
"response"
]
},
{
"type": "string",
"enum": [
"error"
]
}
]
},
"include_headers": {
"type": "boolean"
},
"include_bodies": {
"type": "boolean"
},
"max_events": {
"type": "integer",
"minimum": 1,
"maximum": 1000
}
},
"additionalProperties": false
},
"selector": {
"type": "string",
"maxLength": 2000
},
"element_ref": {
"type": "string",
"pattern": "^[A-Za-z_][A-Za-z0-9_]{0,63}$"
},
"workflow_id": {
"type": "string",
"pattern": "^[a-zA-Z0-9_-]{1,64}$"
},
"else_workflow_id": {
"type": "string",
"pattern": "^[a-zA-Z0-9_-]{1,64}$"
},
"predicate": {
"type": "object",
"required": [
"variable",
"operator"
],
"properties": {
"variable": {
"type": "string",
"pattern": "^[A-Za-z_][A-Za-z0-9_]{0,63}$"
},
"operator": {
"anyOf": [
{
"type": "string",
"enum": [
"exists"
]
},
{
"type": "string",
"enum": [
"not_exists"
]
},
{
"type": "string",
"enum": [
"equals"
]
},
{
"type": "string",
"enum": [
"not_equals"
]
},
{
"type": "string",
"enum": [
"contains"
]
},
{
"type": "string",
"enum": [
"not_contains"
]
},
{
"type": "string",
"enum": [
"starts_with"
]
},
{
"type": "string",
"enum": [
"ends_with"
]
},
{
"type": "string",
"enum": [
"less"
]
},
{
"type": "string",
"enum": [
"less_equal"
]
},
{
"type": "string",
"enum": [
"greater"
]
},
{
"type": "string",
"enum": [
"greater_equal"
]
},
{
"type": "string",
"enum": [
"one_of"
]
},
{
"type": "string",
"enum": [
"not_one_of"
]
}
]
},
"type": {
"anyOf": [
{
"type": "string",
"enum": [
"text"
]
},
{
"type": "string",
"enum": [
"number"
]
}
]
}
},
"additionalProperties": false
},
"data_variable": {
"type": "string",
"pattern": "^[A-Za-z_][A-Za-z0-9_]{0,63}$"
},
"item_variable": {
"type": "string",
"pattern": "^[A-Za-z_][A-Za-z0-9_]{0,63}$"
},
"index_variable": {
"type": "string",
"pattern": "^[A-Za-z_][A-Za-z0-9_]{0,63}$"
},
"loop_start": {
"type": "integer",
"minimum": 0,
"maximum": 9999
},
"max_iterations": {
"type": "integer",
"minimum": 1,
"maximum": 10000
},
"script_variables": {
"type": "array",
"items": {
"type": "string",
"pattern": "^[A-Za-z_][A-Za-z0-9_]{0,63}$"
},
"maxItems": 64,
"uniqueItems": true
},
"element_index": {
"type": "integer",
"minimum": 1,
"maximum": 100000
},
"element_random_min": {
"type": "integer",
"minimum": 1,
"maximum": 100000
},
"element_random_max": {
"type": "integer",
"minimum": 1,
"maximum": 100000
},
"tab_match": {
"anyOf": [
{
"type": "string",
"enum": [
"id"
]
},
{
"type": "string",
"enum": [
"url"
]
},
{
"type": "string",
"enum": [
"title"
]
},
{
"type": "string",
"enum": [
"next"
]
},
{
"type": "string",
"enum": [
"previous"
]
},
{
"type": "string",
"enum": [
"index"
]
}
]
},
"tab_compare": {
"anyOf": [
{
"type": "string",
"enum": [
"equals"
]
},
{
"type": "string",
"enum": [
"not_equals"
]
},
{
"type": "string",
"enum": [
"contains"
]
},
{
"type": "string",
"enum": [
"not_contains"
]
},
{
"type": "string",
"enum": [
"starts_with"
]
},
{
"type": "string",
"enum": [
"ends_with"
]
}
]
},
"tab_wrap": {
"type": "boolean"
},
"scroll_x": {
"type": "integer",
"minimum": -100000,
"maximum": 100000
},
"scroll_y": {
"type": "integer",
"minimum": -100000,
"maximum": 100000
},
"full_page": {
"type": "boolean"
},
"screenshot_format": {
"anyOf": [
{
"type": "string",
"enum": [
"png"
]
},
{
"type": "string",
"enum": [
"jpeg"
]
}
]
},
"screenshot_frame_content": {
"type": "boolean"
},
"screenshot_output": {
"anyOf": [
{
"type": "string",
"enum": [
"file"
]
},
{
"type": "string",
"enum": [
"base64"
]
}
]
},
"screenshot_quality": {
"type": "integer",
"minimum": 0,
"maximum": 100
},
"screenshot_name": {
"type": "string",
"maxLength": 100
},
"pointer_x": {
"type": "integer",
"minimum": 0,
"maximum": 100000
},
"pointer_y": {
"type": "integer",
"minimum": 0,
"maximum": 100000
},
"wait_ms": {
"type": "integer",
"minimum": 0,
"maximum": 119000
},
"attribute_name": {
"type": "string",
"minLength": 1,
"maxLength": 256
},
"secret_value": {
"type": "boolean"
},
"value_missing": {
"type": "boolean"
},
"cookie_domain": {
"type": "string",
"maxLength": 253
},
"cookie_name": {
"type": "string",
"maxLength": 1024
},
"cookie_path": {
"type": "string",
"maxLength": 2048
},
"cookie_mode": {
"anyOf": [
{
"type": "string",
"enum": [
"merge"
]
},
{
"type": "string",
"enum": [
"replace"
]
}
]
},
"cookie_output": {
"anyOf": [
{
"type": "string",
"enum": [
"json"
]
},
{
"type": "string",
"enum": [
"netscape"
]
},
{
"type": "string",
"enum": [
"header"
]
},
{
"type": "string",
"enum": [
"value"
]
}
]
},
"value": {
"type": "string",
"maxLength": 10000
},
"save_as": {
"type": "string",
"pattern": "^[A-Za-z_][A-Za-z0-9_]{0,63}$"
},
"repeat": {
"type": "integer",
"minimum": 1,
"maximum": 100
},
"retries": {
"type": "integer",
"minimum": 0,
"maximum": 5
},
"timeout_ms": {
"type": "integer",
"minimum": 100,
"maximum": 120000
},
"on_error": {
"anyOf": [
{
"type": "string",
"enum": [
"stop"
]
},
{
"type": "string",
"enum": [
"continue"
]
}
]
},
"condition": {
"type": "object",
"required": [
"variable",
"equals"
],
"properties": {
"variable": {
"type": "string",
"maxLength": 64
},
"equals": {
"type": "string",
"maxLength": 10000
}
},
"additionalProperties": false
}
},
"additionalProperties": false
},
"minItems": 1,
"maxItems": 200
}
}
}
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Complete operation definition
{
"summary": "Lokale RPA-Beispielvorlagen",
"tags": [
"Automation"
],
"x-required-scopes": [
"runtime:control"
],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"items"
],
"properties": {
"items": {
"type": "array",
"items": {
"type": "object",
"required": [
"id",
"name",
"description",
"steps"
],
"properties": {
"id": {
"type": "string"
},
"name": {
"type": "string"
},
"description": {
"type": "string"
},
"steps": {
"type": "array",
"items": {
"type": "object",
"required": [
"action"
],
"properties": {
"action": {
"anyOf": [
{
"type": "string",
"enum": [
"navigate"
]
},
{
"type": "string",
"enum": [
"click"
]
},
{
"type": "string",
"enum": [
"type"
]
},
{
"type": "string",
"enum": [
"key"
]
},
{
"type": "string",
"enum": [
"wait"
]
},
{
"type": "string",
"enum": [
"wait_selector"
]
},
{
"type": "string",
"enum": [
"extract"
]
},
{
"type": "string",
"enum": [
"page_data"
]
},
{
"type": "string",
"enum": [
"tab_open"
]
},
{
"type": "string",
"enum": [
"tab_switch"
]
},
{
"type": "string",
"enum": [
"tab_close"
]
},
{
"type": "string",
"enum": [
"frame_enter"
]
},
{
"type": "string",
"enum": [
"frame_parent"
]
},
{
"type": "string",
"enum": [
"frame_top"
]
},
{
"type": "string",
"enum": [
"reload"
]
},
{
"type": "string",
"enum": [
"hover"
]
},
{
"type": "string",
"enum": [
"double_click"
]
},
{
"type": "string",
"enum": [
"right_click"
]
},
{
"type": "string",
"enum": [
"scroll"
]
},
{
"type": "string",
"enum": [
"select"
]
},
{
"type": "string",
"enum": [
"attribute"
]
},
{
"type": "string",
"enum": [
"screenshot"
]
},
{
"type": "string",
"enum": [
"cookies_get"
]
},
{
"type": "string",
"enum": [
"cookies_set"
]
},
{
"type": "string",
"enum": [
"cookies_delete"
]
},
{
"type": "string",
"enum": [
"focus"
]
},
{
"type": "string",
"enum": [
"exists"
]
},
{
"type": "string",
"enum": [
"attribute_set"
]
},
{
"type": "string",
"enum": [
"mouse_move"
]
},
{
"type": "string",
"enum": [
"wheel"
]
},
{
"type": "string",
"enum": [
"history_back"
]
},
{
"type": "string",
"enum": [
"history_forward"
]
},
{
"type": "string",
"enum": [
"tab_list"
]
},
{
"type": "string",
"enum": [
"tab_activate"
]
},
{
"type": "string",
"enum": [
"script"
]
},
{
"type": "string",
"enum": [
"workflow_call"
]
},
{
"type": "string",
"enum": [
"branch"
]
},
{
"type": "string",
"enum": [
"loop_count"
]
},
{
"type": "string",
"enum": [
"loop_data"
]
},
{
"type": "string",
"enum": [
"loop_elements"
]
},
{
"type": "string",
"enum": [
"element_capture"
]
},
{
"type": "string",
"enum": [
"element_release"
]
},
{
"type": "string",
"enum": [
"loop_while"
]
},
{
"type": "string",
"enum": [
"loop_break"
]
},
{
"type": "string",
"enum": [
"loop_continue"
]
},
{
"type": "string",
"enum": [
"variable_set"
]
},
{
"type": "string",
"enum": [
"global"
]
},
{
"type": "string",
"enum": [
"data_transform"
]
},
{
"type": "string",
"enum": [
"file"
]
},
{
"type": "string",
"enum": [
"service"
]
},
{
"type": "string",
"enum": [
"network"
]
}
]
},
"data": {
"type": "object",
"required": [
"operation"
],
"properties": {
"operation": {
"anyOf": [
{
"type": "string",
"enum": [
"csv_parse"
]
},
{
"type": "string",
"enum": [
"csv_stringify"
]
},
{
"type": "string",
"enum": [
"table_cell"
]
},
{
"type": "string",
"enum": [
"table_set"
]
},
{
"type": "string",
"enum": [
"table_row"
]
},
{
"type": "string",
"enum": [
"table_column"
]
},
{
"type": "string",
"enum": [
"table_append"
]
},
{
"type": "string",
"enum": [
"table_slice"
]
},
{
"type": "string",
"enum": [
"json_parse"
]
},
{
"type": "string",
"enum": [
"json_get"
]
},
{
"type": "string",
"enum": [
"json_keys"
]
},
{
"type": "string",
"enum": [
"list_length"
]
},
{
"type": "string",
"enum": [
"list_join"
]
},
{
"type": "string",
"enum": [
"list_append"
]
},
{
"type": "string",
"enum": [
"list_random"
]
},
{
"type": "string",
"enum": [
"text_split"
]
},
{
"type": "string",
"enum": [
"text_replace"
]
},
{
"type": "string",
"enum": [
"regex_extract"
]
},
{
"type": "string",
"enum": [
"regex_replace"
]
},
{
"type": "string",
"enum": [
"text_trim"
]
},
{
"type": "string",
"enum": [
"text_lower"
]
},
{
"type": "string",
"enum": [
"text_upper"
]
},
{
"type": "string",
"enum": [
"number_add"
]
},
{
"type": "string",
"enum": [
"number_subtract"
]
},
{
"type": "string",
"enum": [
"number_multiply"
]
},
{
"type": "string",
"enum": [
"number_divide"
]
},
{
"type": "string",
"enum": [
"number_remainder"
]
},
{
"type": "string",
"enum": [
"url_parse"
]
},
{
"type": "string",
"enum": [
"url_parameter"
]
},
{
"type": "string",
"enum": [
"random_integer"
]
},
{
"type": "string",
"enum": [
"random_text"
]
}
]
},
"source_variable": {
"type": "string",
"pattern": "^[A-Za-z_][A-Za-z0-9_]{0,63}$"
}
},
"additionalProperties": false
},
"global": {
"type": "object",
"required": [
"operation",
"name"
],
"properties": {
"operation": {
"anyOf": [
{
"type": "string",
"enum": [
"read"
]
},
{
"type": "string",
"enum": [
"write"
]
},
{
"type": "string",
"enum": [
"delete"
]
}
]
},
"name": {
"type": "string",
"minLength": 1,
"maxLength": 200
},
"source_variable": {
"type": "string",
"pattern": "^[A-Za-z_][A-Za-z0-9_]{0,63}$"
},
"expected_revision": {
"type": "integer",
"minimum": 0,
"maximum": 9007199254740991
}
},
"additionalProperties": false
},
"page_data": {
"anyOf": [
{
"type": "string",
"enum": [
"url"
]
},
{
"type": "string",
"enum": [
"title"
]
},
{
"type": "string",
"enum": [
"text"
]
},
{
"type": "string",
"enum": [
"html"
]
},
{
"type": "string",
"enum": [
"links"
]
},
{
"type": "string",
"enum": [
"images"
]
},
{
"type": "string",
"enum": [
"form_values"
]
},
{
"type": "string",
"enum": [
"element_count"
]
}
]
},
"file": {
"type": "object",
"required": [
"operation",
"format",
"name"
],
"properties": {
"operation": {
"anyOf": [
{
"type": "string",
"enum": [
"read"
]
},
{
"type": "string",
"enum": [
"write"
]
},
{
"type": "string",
"enum": [
"append"
]
}
]
},
"format": {
"anyOf": [
{
"type": "string",
"enum": [
"txt"
]
},
{
"type": "string",
"enum": [
"json"
]
},
{
"type": "string",
"enum": [
"csv"
]
},
{
"type": "string",
"enum": [
"xlsx"
]
}
]
},
"name": {
"type": "string",
"minLength": 1,
"maxLength": 200
},
"source_variable": {
"type": "string",
"pattern": "^[A-Za-z_][A-Za-z0-9_]{0,63}$"
},
"delimiter": {
"anyOf": [
{
"type": "string",
"enum": [
","
]
},
{
"type": "string",
"enum": [
";"
]
},
{
"type": "string",
"enum": [
"\t"
]
},
{
"type": "string",
"enum": [
"|"
]
}
]
},
"sheet": {
"type": "string",
"minLength": 1,
"maxLength": 31
},
"overwrite": {
"type": "boolean"
}
},
"additionalProperties": false
},
"service": {
"type": "object",
"required": [
"kind"
],
"properties": {
"kind": {
"anyOf": [
{
"type": "string",
"enum": [
"http"
]
},
{
"type": "string",
"enum": [
"google_sheets"
]
}
]
},
"source_variable": {
"type": "string",
"pattern": "^[A-Za-z_][A-Za-z0-9_]{0,63}$"
}
},
"additionalProperties": false
},
"network": {
"type": "object",
"required": [
"operation"
],
"properties": {
"operation": {
"anyOf": [
{
"type": "string",
"enum": [
"start"
]
},
{
"type": "string",
"enum": [
"read"
]
},
{
"type": "string",
"enum": [
"stop"
]
}
]
},
"url_contains": {
"type": "string",
"maxLength": 2000
},
"phase": {
"anyOf": [
{
"type": "string",
"enum": [
"all"
]
},
{
"type": "string",
"enum": [
"request"
]
},
{
"type": "string",
"enum": [
"response"
]
},
{
"type": "string",
"enum": [
"error"
]
}
]
},
"include_headers": {
"type": "boolean"
},
"include_bodies": {
"type": "boolean"
},
"max_events": {
"type": "integer",
"minimum": 1,
"maximum": 1000
}
},
"additionalProperties": false
},
"selector": {
"type": "string",
"maxLength": 2000
},
"element_ref": {
"type": "string",
"pattern": "^[A-Za-z_][A-Za-z0-9_]{0,63}$"
},
"workflow_id": {
"type": "string",
"pattern": "^[a-zA-Z0-9_-]{1,64}$"
},
"else_workflow_id": {
"type": "string",
"pattern": "^[a-zA-Z0-9_-]{1,64}$"
},
"predicate": {
"type": "object",
"required": [
"variable",
"operator"
],
"properties": {
"variable": {
"type": "string",
"pattern": "^[A-Za-z_][A-Za-z0-9_]{0,63}$"
},
"operator": {
"anyOf": [
{
"type": "string",
"enum": [
"exists"
]
},
{
"type": "string",
"enum": [
"not_exists"
]
},
{
"type": "string",
"enum": [
"equals"
]
},
{
"type": "string",
"enum": [
"not_equals"
]
},
{
"type": "string",
"enum": [
"contains"
]
},
{
"type": "string",
"enum": [
"not_contains"
]
},
{
"type": "string",
"enum": [
"starts_with"
]
},
{
"type": "string",
"enum": [
"ends_with"
]
},
{
"type": "string",
"enum": [
"less"
]
},
{
"type": "string",
"enum": [
"less_equal"
]
},
{
"type": "string",
"enum": [
"greater"
]
},
{
"type": "string",
"enum": [
"greater_equal"
]
},
{
"type": "string",
"enum": [
"one_of"
]
},
{
"type": "string",
"enum": [
"not_one_of"
]
}
]
},
"type": {
"anyOf": [
{
"type": "string",
"enum": [
"text"
]
},
{
"type": "string",
"enum": [
"number"
]
}
]
}
},
"additionalProperties": false
},
"data_variable": {
"type": "string",
"pattern": "^[A-Za-z_][A-Za-z0-9_]{0,63}$"
},
"item_variable": {
"type": "string",
"pattern": "^[A-Za-z_][A-Za-z0-9_]{0,63}$"
},
"index_variable": {
"type": "string",
"pattern": "^[A-Za-z_][A-Za-z0-9_]{0,63}$"
},
"loop_start": {
"type": "integer",
"minimum": 0,
"maximum": 9999
},
"max_iterations": {
"type": "integer",
"minimum": 1,
"maximum": 10000
},
"script_variables": {
"type": "array",
"items": {
"type": "string",
"pattern": "^[A-Za-z_][A-Za-z0-9_]{0,63}$"
},
"maxItems": 64,
"uniqueItems": true
},
"element_index": {
"type": "integer",
"minimum": 1,
"maximum": 100000
},
"element_random_min": {
"type": "integer",
"minimum": 1,
"maximum": 100000
},
"element_random_max": {
"type": "integer",
"minimum": 1,
"maximum": 100000
},
"tab_match": {
"anyOf": [
{
"type": "string",
"enum": [
"id"
]
},
{
"type": "string",
"enum": [
"url"
]
},
{
"type": "string",
"enum": [
"title"
]
},
{
"type": "string",
"enum": [
"next"
]
},
{
"type": "string",
"enum": [
"previous"
]
},
{
"type": "string",
"enum": [
"index"
]
}
]
},
"tab_compare": {
"anyOf": [
{
"type": "string",
"enum": [
"equals"
]
},
{
"type": "string",
"enum": [
"not_equals"
]
},
{
"type": "string",
"enum": [
"contains"
]
},
{
"type": "string",
"enum": [
"not_contains"
]
},
{
"type": "string",
"enum": [
"starts_with"
]
},
{
"type": "string",
"enum": [
"ends_with"
]
}
]
},
"tab_wrap": {
"type": "boolean"
},
"scroll_x": {
"type": "integer",
"minimum": -100000,
"maximum": 100000
},
"scroll_y": {
"type": "integer",
"minimum": -100000,
"maximum": 100000
},
"full_page": {
"type": "boolean"
},
"screenshot_format": {
"anyOf": [
{
"type": "string",
"enum": [
"png"
]
},
{
"type": "string",
"enum": [
"jpeg"
]
}
]
},
"screenshot_frame_content": {
"type": "boolean"
},
"screenshot_output": {
"anyOf": [
{
"type": "string",
"enum": [
"file"
]
},
{
"type": "string",
"enum": [
"base64"
]
}
]
},
"screenshot_quality": {
"type": "integer",
"minimum": 0,
"maximum": 100
},
"screenshot_name": {
"type": "string",
"maxLength": 100
},
"pointer_x": {
"type": "integer",
"minimum": 0,
"maximum": 100000
},
"pointer_y": {
"type": "integer",
"minimum": 0,
"maximum": 100000
},
"wait_ms": {
"type": "integer",
"minimum": 0,
"maximum": 119000
},
"attribute_name": {
"type": "string",
"minLength": 1,
"maxLength": 256
},
"secret_value": {
"type": "boolean"
},
"value_missing": {
"type": "boolean"
},
"cookie_domain": {
"type": "string",
"maxLength": 253
},
"cookie_name": {
"type": "string",
"maxLength": 1024
},
"cookie_path": {
"type": "string",
"maxLength": 2048
},
"cookie_mode": {
"anyOf": [
{
"type": "string",
"enum": [
"merge"
]
},
{
"type": "string",
"enum": [
"replace"
]
}
]
},
"cookie_output": {
"anyOf": [
{
"type": "string",
"enum": [
"json"
]
},
{
"type": "string",
"enum": [
"netscape"
]
},
{
"type": "string",
"enum": [
"header"
]
},
{
"type": "string",
"enum": [
"value"
]
}
]
},
"value": {
"type": "string",
"maxLength": 10000
},
"save_as": {
"type": "string",
"pattern": "^[A-Za-z_][A-Za-z0-9_]{0,63}$"
},
"repeat": {
"type": "integer",
"minimum": 1,
"maximum": 100
},
"retries": {
"type": "integer",
"minimum": 0,
"maximum": 5
},
"timeout_ms": {
"type": "integer",
"minimum": 100,
"maximum": 120000
},
"on_error": {
"anyOf": [
{
"type": "string",
"enum": [
"stop"
]
},
{
"type": "string",
"enum": [
"continue"
]
}
]
},
"condition": {
"type": "object",
"required": [
"variable",
"equals"
],
"properties": {
"variable": {
"type": "string",
"maxLength": 64
},
"equals": {
"type": "string",
"maxLength": 10000
}
},
"additionalProperties": false
}
},
"additionalProperties": false
},
"minItems": 1,
"maxItems": 200
}
}
}
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}GET /api/v1/automation/groups
Ablaufgruppen mit Anzahl
Authentication: bearer token
Required route scopes: runtime:control
All listed scopes are required; admin satisfies scope checks. Request content, vault state and resource permissions can impose additional requirements.
No path or query parameters declared.
No request body declared.
Documented responses
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"items"
],
"properties": {
"items": {
"type": "array",
"items": {
"type": "object",
"required": [
"name",
"count"
],
"properties": {
"name": {
"type": "string"
},
"count": {
"type": "integer"
}
}
}
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Complete operation definition
{
"summary": "Ablaufgruppen mit Anzahl",
"tags": [
"Automation"
],
"x-required-scopes": [
"runtime:control"
],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"items"
],
"properties": {
"items": {
"type": "array",
"items": {
"type": "object",
"required": [
"name",
"count"
],
"properties": {
"name": {
"type": "string"
},
"count": {
"type": "integer"
}
}
}
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}PUT /api/v1/automation/groups
Ablaufgruppe umbenennen oder Zuordnung entfernen
Authentication: bearer token
Required route scopes: runtime:control, rpa:write
All listed scopes are required; admin satisfies scope checks. Request content, vault state and resource permissions can impose additional requirements.
No path or query parameters declared.
Request body · required
{
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"name",
"new_name"
],
"properties": {
"name": {
"type": "string",
"minLength": 1,
"maxLength": 80
},
"new_name": {
"anyOf": [
{
"type": "string",
"minLength": 1,
"maxLength": 80
},
{
"type": "null"
}
]
}
},
"additionalProperties": false
}
}
}
}Documented responses
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"items"
],
"properties": {
"items": {
"type": "array",
"items": {
"type": "object",
"required": [
"name",
"count"
],
"properties": {
"name": {
"type": "string"
},
"count": {
"type": "integer"
}
}
}
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Complete operation definition
{
"summary": "Ablaufgruppe umbenennen oder Zuordnung entfernen",
"tags": [
"Automation"
],
"requestBody": {
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"name",
"new_name"
],
"properties": {
"name": {
"type": "string",
"minLength": 1,
"maxLength": 80
},
"new_name": {
"anyOf": [
{
"type": "string",
"minLength": 1,
"maxLength": 80
},
{
"type": "null"
}
]
}
},
"additionalProperties": false
}
}
}
},
"x-required-scopes": [
"runtime:control",
"rpa:write"
],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"items"
],
"properties": {
"items": {
"type": "array",
"items": {
"type": "object",
"required": [
"name",
"count"
],
"properties": {
"name": {
"type": "string"
},
"count": {
"type": "integer"
}
}
}
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}POST /api/v1/automation/workflows/{id}/copy
Ablauf oder eigene Vorlage kopieren
Authentication: bearer token
Required route scopes: runtime:control, rpa:write, secrets:read
All listed scopes are required; admin satisfies scope checks. Request content, vault state and resource permissions can impose additional requirements.
| Name | Location | Required | Description |
|---|---|---|---|
id | path | Yes |
Full parameter schemas
[
{
"schema": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"in": "path",
"name": "id",
"required": true
}
]Request body · required
{
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"name": {
"type": "string",
"minLength": 1,
"maxLength": 120
},
"as_template": {
"type": "boolean"
}
},
"additionalProperties": false
}
}
}
}Documented responses
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"name",
"steps",
"profile_ids",
"concurrency",
"close_after",
"delay_ms",
"schedule",
"id"
],
"properties": {
"name": {
"type": "string",
"minLength": 1,
"maxLength": 120
},
"group": {
"type": "string",
"maxLength": 80
},
"description": {
"type": "string",
"maxLength": 2000
},
"is_template": {
"type": "boolean"
},
"steps": {
"type": "array",
"items": {
"type": "object",
"required": [
"action"
],
"properties": {
"action": {
"anyOf": [
{
"type": "string",
"enum": [
"navigate"
]
},
{
"type": "string",
"enum": [
"click"
]
},
{
"type": "string",
"enum": [
"type"
]
},
{
"type": "string",
"enum": [
"key"
]
},
{
"type": "string",
"enum": [
"wait"
]
},
{
"type": "string",
"enum": [
"wait_selector"
]
},
{
"type": "string",
"enum": [
"extract"
]
},
{
"type": "string",
"enum": [
"page_data"
]
},
{
"type": "string",
"enum": [
"tab_open"
]
},
{
"type": "string",
"enum": [
"tab_switch"
]
},
{
"type": "string",
"enum": [
"tab_close"
]
},
{
"type": "string",
"enum": [
"frame_enter"
]
},
{
"type": "string",
"enum": [
"frame_parent"
]
},
{
"type": "string",
"enum": [
"frame_top"
]
},
{
"type": "string",
"enum": [
"reload"
]
},
{
"type": "string",
"enum": [
"hover"
]
},
{
"type": "string",
"enum": [
"double_click"
]
},
{
"type": "string",
"enum": [
"right_click"
]
},
{
"type": "string",
"enum": [
"scroll"
]
},
{
"type": "string",
"enum": [
"select"
]
},
{
"type": "string",
"enum": [
"attribute"
]
},
{
"type": "string",
"enum": [
"screenshot"
]
},
{
"type": "string",
"enum": [
"cookies_get"
]
},
{
"type": "string",
"enum": [
"cookies_set"
]
},
{
"type": "string",
"enum": [
"cookies_delete"
]
},
{
"type": "string",
"enum": [
"focus"
]
},
{
"type": "string",
"enum": [
"exists"
]
},
{
"type": "string",
"enum": [
"attribute_set"
]
},
{
"type": "string",
"enum": [
"mouse_move"
]
},
{
"type": "string",
"enum": [
"wheel"
]
},
{
"type": "string",
"enum": [
"history_back"
]
},
{
"type": "string",
"enum": [
"history_forward"
]
},
{
"type": "string",
"enum": [
"tab_list"
]
},
{
"type": "string",
"enum": [
"tab_activate"
]
},
{
"type": "string",
"enum": [
"script"
]
},
{
"type": "string",
"enum": [
"workflow_call"
]
},
{
"type": "string",
"enum": [
"branch"
]
},
{
"type": "string",
"enum": [
"loop_count"
]
},
{
"type": "string",
"enum": [
"loop_data"
]
},
{
"type": "string",
"enum": [
"loop_elements"
]
},
{
"type": "string",
"enum": [
"element_capture"
]
},
{
"type": "string",
"enum": [
"element_release"
]
},
{
"type": "string",
"enum": [
"loop_while"
]
},
{
"type": "string",
"enum": [
"loop_break"
]
},
{
"type": "string",
"enum": [
"loop_continue"
]
},
{
"type": "string",
"enum": [
"variable_set"
]
},
{
"type": "string",
"enum": [
"global"
]
},
{
"type": "string",
"enum": [
"data_transform"
]
},
{
"type": "string",
"enum": [
"file"
]
},
{
"type": "string",
"enum": [
"service"
]
},
{
"type": "string",
"enum": [
"network"
]
}
]
},
"data": {
"type": "object",
"required": [
"operation"
],
"properties": {
"operation": {
"anyOf": [
{
"type": "string",
"enum": [
"csv_parse"
]
},
{
"type": "string",
"enum": [
"csv_stringify"
]
},
{
"type": "string",
"enum": [
"table_cell"
]
},
{
"type": "string",
"enum": [
"table_set"
]
},
{
"type": "string",
"enum": [
"table_row"
]
},
{
"type": "string",
"enum": [
"table_column"
]
},
{
"type": "string",
"enum": [
"table_append"
]
},
{
"type": "string",
"enum": [
"table_slice"
]
},
{
"type": "string",
"enum": [
"json_parse"
]
},
{
"type": "string",
"enum": [
"json_get"
]
},
{
"type": "string",
"enum": [
"json_keys"
]
},
{
"type": "string",
"enum": [
"list_length"
]
},
{
"type": "string",
"enum": [
"list_join"
]
},
{
"type": "string",
"enum": [
"list_append"
]
},
{
"type": "string",
"enum": [
"list_random"
]
},
{
"type": "string",
"enum": [
"text_split"
]
},
{
"type": "string",
"enum": [
"text_replace"
]
},
{
"type": "string",
"enum": [
"regex_extract"
]
},
{
"type": "string",
"enum": [
"regex_replace"
]
},
{
"type": "string",
"enum": [
"text_trim"
]
},
{
"type": "string",
"enum": [
"text_lower"
]
},
{
"type": "string",
"enum": [
"text_upper"
]
},
{
"type": "string",
"enum": [
"number_add"
]
},
{
"type": "string",
"enum": [
"number_subtract"
]
},
{
"type": "string",
"enum": [
"number_multiply"
]
},
{
"type": "string",
"enum": [
"number_divide"
]
},
{
"type": "string",
"enum": [
"number_remainder"
]
},
{
"type": "string",
"enum": [
"url_parse"
]
},
{
"type": "string",
"enum": [
"url_parameter"
]
},
{
"type": "string",
"enum": [
"random_integer"
]
},
{
"type": "string",
"enum": [
"random_text"
]
}
]
},
"source_variable": {
"type": "string",
"pattern": "^[A-Za-z_][A-Za-z0-9_]{0,63}$"
}
},
"additionalProperties": false
},
"global": {
"type": "object",
"required": [
"operation",
"name"
],
"properties": {
"operation": {
"anyOf": [
{
"type": "string",
"enum": [
"read"
]
},
{
"type": "string",
"enum": [
"write"
]
},
{
"type": "string",
"enum": [
"delete"
]
}
]
},
"name": {
"type": "string",
"minLength": 1,
"maxLength": 200
},
"source_variable": {
"type": "string",
"pattern": "^[A-Za-z_][A-Za-z0-9_]{0,63}$"
},
"expected_revision": {
"type": "integer",
"minimum": 0,
"maximum": 9007199254740991
}
},
"additionalProperties": false
},
"page_data": {
"anyOf": [
{
"type": "string",
"enum": [
"url"
]
},
{
"type": "string",
"enum": [
"title"
]
},
{
"type": "string",
"enum": [
"text"
]
},
{
"type": "string",
"enum": [
"html"
]
},
{
"type": "string",
"enum": [
"links"
]
},
{
"type": "string",
"enum": [
"images"
]
},
{
"type": "string",
"enum": [
"form_values"
]
},
{
"type": "string",
"enum": [
"element_count"
]
}
]
},
"file": {
"type": "object",
"required": [
"operation",
"format",
"name"
],
"properties": {
"operation": {
"anyOf": [
{
"type": "string",
"enum": [
"read"
]
},
{
"type": "string",
"enum": [
"write"
]
},
{
"type": "string",
"enum": [
"append"
]
}
]
},
"format": {
"anyOf": [
{
"type": "string",
"enum": [
"txt"
]
},
{
"type": "string",
"enum": [
"json"
]
},
{
"type": "string",
"enum": [
"csv"
]
},
{
"type": "string",
"enum": [
"xlsx"
]
}
]
},
"name": {
"type": "string",
"minLength": 1,
"maxLength": 200
},
"source_variable": {
"type": "string",
"pattern": "^[A-Za-z_][A-Za-z0-9_]{0,63}$"
},
"delimiter": {
"anyOf": [
{
"type": "string",
"enum": [
","
]
},
{
"type": "string",
"enum": [
";"
]
},
{
"type": "string",
"enum": [
"\t"
]
},
{
"type": "string",
"enum": [
"|"
]
}
]
},
"sheet": {
"type": "string",
"minLength": 1,
"maxLength": 31
},
"overwrite": {
"type": "boolean"
}
},
"additionalProperties": false
},
"service": {
"type": "object",
"required": [
"kind"
],
"properties": {
"kind": {
"anyOf": [
{
"type": "string",
"enum": [
"http"
]
},
{
"type": "string",
"enum": [
"google_sheets"
]
}
]
},
"source_variable": {
"type": "string",
"pattern": "^[A-Za-z_][A-Za-z0-9_]{0,63}$"
}
},
"additionalProperties": false
},
"network": {
"type": "object",
"required": [
"operation"
],
"properties": {
"operation": {
"anyOf": [
{
"type": "string",
"enum": [
"start"
]
},
{
"type": "string",
"enum": [
"read"
]
},
{
"type": "string",
"enum": [
"stop"
]
}
]
},
"url_contains": {
"type": "string",
"maxLength": 2000
},
"phase": {
"anyOf": [
{
"type": "string",
"enum": [
"all"
]
},
{
"type": "string",
"enum": [
"request"
]
},
{
"type": "string",
"enum": [
"response"
]
},
{
"type": "string",
"enum": [
"error"
]
}
]
},
"include_headers": {
"type": "boolean"
},
"include_bodies": {
"type": "boolean"
},
"max_events": {
"type": "integer",
"minimum": 1,
"maximum": 1000
}
},
"additionalProperties": false
},
"selector": {
"type": "string",
"maxLength": 2000
},
"element_ref": {
"type": "string",
"pattern": "^[A-Za-z_][A-Za-z0-9_]{0,63}$"
},
"workflow_id": {
"type": "string",
"pattern": "^[a-zA-Z0-9_-]{1,64}$"
},
"else_workflow_id": {
"type": "string",
"pattern": "^[a-zA-Z0-9_-]{1,64}$"
},
"predicate": {
"type": "object",
"required": [
"variable",
"operator"
],
"properties": {
"variable": {
"type": "string",
"pattern": "^[A-Za-z_][A-Za-z0-9_]{0,63}$"
},
"operator": {
"anyOf": [
{
"type": "string",
"enum": [
"exists"
]
},
{
"type": "string",
"enum": [
"not_exists"
]
},
{
"type": "string",
"enum": [
"equals"
]
},
{
"type": "string",
"enum": [
"not_equals"
]
},
{
"type": "string",
"enum": [
"contains"
]
},
{
"type": "string",
"enum": [
"not_contains"
]
},
{
"type": "string",
"enum": [
"starts_with"
]
},
{
"type": "string",
"enum": [
"ends_with"
]
},
{
"type": "string",
"enum": [
"less"
]
},
{
"type": "string",
"enum": [
"less_equal"
]
},
{
"type": "string",
"enum": [
"greater"
]
},
{
"type": "string",
"enum": [
"greater_equal"
]
},
{
"type": "string",
"enum": [
"one_of"
]
},
{
"type": "string",
"enum": [
"not_one_of"
]
}
]
},
"type": {
"anyOf": [
{
"type": "string",
"enum": [
"text"
]
},
{
"type": "string",
"enum": [
"number"
]
}
]
}
},
"additionalProperties": false
},
"data_variable": {
"type": "string",
"pattern": "^[A-Za-z_][A-Za-z0-9_]{0,63}$"
},
"item_variable": {
"type": "string",
"pattern": "^[A-Za-z_][A-Za-z0-9_]{0,63}$"
},
"index_variable": {
"type": "string",
"pattern": "^[A-Za-z_][A-Za-z0-9_]{0,63}$"
},
"loop_start": {
"type": "integer",
"minimum": 0,
"maximum": 9999
},
"max_iterations": {
"type": "integer",
"minimum": 1,
"maximum": 10000
},
"script_variables": {
"type": "array",
"items": {
"type": "string",
"pattern": "^[A-Za-z_][A-Za-z0-9_]{0,63}$"
},
"maxItems": 64,
"uniqueItems": true
},
"element_index": {
"type": "integer",
"minimum": 1,
"maximum": 100000
},
"element_random_min": {
"type": "integer",
"minimum": 1,
"maximum": 100000
},
"element_random_max": {
"type": "integer",
"minimum": 1,
"maximum": 100000
},
"tab_match": {
"anyOf": [
{
"type": "string",
"enum": [
"id"
]
},
{
"type": "string",
"enum": [
"url"
]
},
{
"type": "string",
"enum": [
"title"
]
},
{
"type": "string",
"enum": [
"next"
]
},
{
"type": "string",
"enum": [
"previous"
]
},
{
"type": "string",
"enum": [
"index"
]
}
]
},
"tab_compare": {
"anyOf": [
{
"type": "string",
"enum": [
"equals"
]
},
{
"type": "string",
"enum": [
"not_equals"
]
},
{
"type": "string",
"enum": [
"contains"
]
},
{
"type": "string",
"enum": [
"not_contains"
]
},
{
"type": "string",
"enum": [
"starts_with"
]
},
{
"type": "string",
"enum": [
"ends_with"
]
}
]
},
"tab_wrap": {
"type": "boolean"
},
"scroll_x": {
"type": "integer",
"minimum": -100000,
"maximum": 100000
},
"scroll_y": {
"type": "integer",
"minimum": -100000,
"maximum": 100000
},
"full_page": {
"type": "boolean"
},
"screenshot_format": {
"anyOf": [
{
"type": "string",
"enum": [
"png"
]
},
{
"type": "string",
"enum": [
"jpeg"
]
}
]
},
"screenshot_frame_content": {
"type": "boolean"
},
"screenshot_output": {
"anyOf": [
{
"type": "string",
"enum": [
"file"
]
},
{
"type": "string",
"enum": [
"base64"
]
}
]
},
"screenshot_quality": {
"type": "integer",
"minimum": 0,
"maximum": 100
},
"screenshot_name": {
"type": "string",
"maxLength": 100
},
"pointer_x": {
"type": "integer",
"minimum": 0,
"maximum": 100000
},
"pointer_y": {
"type": "integer",
"minimum": 0,
"maximum": 100000
},
"wait_ms": {
"type": "integer",
"minimum": 0,
"maximum": 119000
},
"attribute_name": {
"type": "string",
"minLength": 1,
"maxLength": 256
},
"secret_value": {
"type": "boolean"
},
"value_missing": {
"type": "boolean"
},
"cookie_domain": {
"type": "string",
"maxLength": 253
},
"cookie_name": {
"type": "string",
"maxLength": 1024
},
"cookie_path": {
"type": "string",
"maxLength": 2048
},
"cookie_mode": {
"anyOf": [
{
"type": "string",
"enum": [
"merge"
]
},
{
"type": "string",
"enum": [
"replace"
]
}
]
},
"cookie_output": {
"anyOf": [
{
"type": "string",
"enum": [
"json"
]
},
{
"type": "string",
"enum": [
"netscape"
]
},
{
"type": "string",
"enum": [
"header"
]
},
{
"type": "string",
"enum": [
"value"
]
}
]
},
"value": {
"type": "string",
"maxLength": 10000
},
"save_as": {
"type": "string",
"pattern": "^[A-Za-z_][A-Za-z0-9_]{0,63}$"
},
"repeat": {
"type": "integer",
"minimum": 1,
"maximum": 100
},
"retries": {
"type": "integer",
"minimum": 0,
"maximum": 5
},
"timeout_ms": {
"type": "integer",
"minimum": 100,
"maximum": 120000
},
"on_error": {
"anyOf": [
{
"type": "string",
"enum": [
"stop"
]
},
{
"type": "string",
"enum": [
"continue"
]
}
]
},
"condition": {
"type": "object",
"required": [
"variable",
"equals"
],
"properties": {
"variable": {
"type": "string",
"maxLength": 64
},
"equals": {
"type": "string",
"maxLength": 10000
}
},
"additionalProperties": false
}
},
"additionalProperties": false
},
"minItems": 1,
"maxItems": 200
},
"profile_ids": {
"type": "array",
"items": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"maxItems": 500,
"uniqueItems": true
},
"concurrency": {
"type": "integer",
"minimum": 1,
"maximum": 20
},
"close_after": {
"type": "boolean"
},
"headless": {
"type": "boolean"
},
"delay_ms": {
"type": "integer",
"minimum": 0,
"maximum": 30000
},
"input_timing": {
"type": "object",
"required": [
"key_min_ms",
"key_max_ms",
"step_jitter_ms"
],
"properties": {
"key_min_ms": {
"type": "integer",
"minimum": 0,
"maximum": 2000
},
"key_max_ms": {
"type": "integer",
"minimum": 0,
"maximum": 2000
},
"step_jitter_ms": {
"type": "integer",
"minimum": 0,
"maximum": 30000
},
"mouse_min_ms": {
"type": "integer",
"minimum": 0,
"maximum": 5000
},
"mouse_max_ms": {
"type": "integer",
"minimum": 0,
"maximum": 5000
}
},
"additionalProperties": false
},
"schedule": {
"anyOf": [
{
"type": "object",
"required": [
"next_at",
"interval_minutes"
],
"properties": {
"next_at": {
"type": "integer",
"minimum": 0,
"maximum": 253402300799999
},
"interval_minutes": {
"type": "integer",
"minimum": 0,
"maximum": 525600
},
"time_zone": {
"type": "string",
"minLength": 1,
"maxLength": 128
},
"remaining_runs": {
"type": "integer",
"minimum": 1,
"maximum": 100000
},
"end_at": {
"type": "integer",
"minimum": 0,
"maximum": 253402300799999
},
"revision": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"calendar": {
"type": "object",
"required": [
"frequency",
"start_date",
"time"
],
"properties": {
"frequency": {
"anyOf": [
{
"type": "string",
"enum": [
"daily"
]
},
{
"type": "string",
"enum": [
"weekly"
]
},
{
"type": "string",
"enum": [
"monthly"
]
},
{
"type": "string",
"enum": [
"yearly"
]
}
]
},
"start_date": {
"type": "string",
"pattern": "^[0-9]{4}-[0-9]{2}-[0-9]{2}$"
},
"time": {
"type": "string",
"pattern": "^[0-9]{2}:[0-9]{2}$"
},
"weekdays": {
"type": "array",
"items": {
"type": "integer",
"minimum": 1,
"maximum": 7
},
"minItems": 1,
"maxItems": 7,
"uniqueItems": true
},
"month": {
"type": "integer",
"minimum": 1,
"maximum": 12
},
"month_day": {
"anyOf": [
{
"type": "number",
"enum": [
-1
]
},
{
"type": "integer",
"minimum": 1,
"maximum": 31
}
]
}
},
"additionalProperties": false
}
},
"additionalProperties": false
},
{
"type": "null"
}
]
},
"id": {
"type": "string"
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Complete operation definition
{
"summary": "Ablauf oder eigene Vorlage kopieren",
"tags": [
"Automation"
],
"requestBody": {
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"name": {
"type": "string",
"minLength": 1,
"maxLength": 120
},
"as_template": {
"type": "boolean"
}
},
"additionalProperties": false
}
}
}
},
"parameters": [
{
"schema": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"in": "path",
"name": "id",
"required": true
}
],
"x-required-scopes": [
"runtime:control",
"rpa:write",
"secrets:read"
],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"name",
"steps",
"profile_ids",
"concurrency",
"close_after",
"delay_ms",
"schedule",
"id"
],
"properties": {
"name": {
"type": "string",
"minLength": 1,
"maxLength": 120
},
"group": {
"type": "string",
"maxLength": 80
},
"description": {
"type": "string",
"maxLength": 2000
},
"is_template": {
"type": "boolean"
},
"steps": {
"type": "array",
"items": {
"type": "object",
"required": [
"action"
],
"properties": {
"action": {
"anyOf": [
{
"type": "string",
"enum": [
"navigate"
]
},
{
"type": "string",
"enum": [
"click"
]
},
{
[...]
